plugins {
    id("application")
    kotlin("jvm") version "1.9.0"
}

repositories {
    mavenCentral()
    maven(url = "https://jitpack.io")
}

tasks.withType<Wrapper> {
    gradleVersion = "7.6"
    distributionType = Wrapper.DistributionType.BIN
}

dependencies {
    implementation("org.jetbrains.kotlin:kotlin-stdlib-jdk8")
    //implementation("org.processing:core:3.3.7")
    implementation("com.github.maxandersen:processing4:jitpack-SNAPSHOT")
    implementation("net.compartmental.code:minim:2.2.2")
}

application {
    mainClass.set("NbodyKt")
}
